package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

public class RenderCorridaConexion implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		Corrida corrida = (Corrida) o;

		Listcell lc = new Listcell(corrida.getId().getCorridaId().toString());
		lc.setParent(lstm);

		Parada origem = corrida.getOrigem();
		if (origem != null) {
			lc = new Listcell(origem.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Parada destino = corrida.getDestino();
		if (destino != null) {
			lc = new Listcell(destino.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Button btn = new Button();

		lc = new Listcell();
		lc.setParent(lstm);

		btn.setWidth("16");
		btn.setHeight("16");
		btn.setImage("/gui/img/remove.png");

		btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox) event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem) event.getTarget().getParent().getParent();
				listBox.removeItem((Corrida) listItem.getAttribute("data"));
			}
		});

		lc.appendChild(btn);

		lstm.setAttribute("data", corrida);
	}
}
